(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getDirTree = void 0;
    const { loadDomSelector } = require("./hoge");
    const dirTree = require("directory-tree");
    const filter = (dir) => {
        if (dir.type !== "directory") {
            return dir;
        }
        return Object.assign(dir, {
            children: dir.children
                .filter((d) => {
                if (d.type !== "file") {
                    return true;
                }
                else {
                    try {
                        return loadDomSelector(d.path).length != 0;
                    }
                    catch (e) {
                        console.error(e);
                        return false;
                    }
                }
            })
                .map((d) => {
                if (d.type !== "file") {
                    return d;
                }
                else {
                    return Object.assign(d, { domSelectors: loadDomSelector(d.path) });
                }
            })
                .map(filter),
        });
    };
    exports.getDirTree = (path) => {
        const root = dirTree(path, {
            extensions: /\.(js)$/,
            exclude: /node_modules|.git/,
        });
        return filter(root);
    };
});
