var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "express", "path", "./directory-tree", "./hoge"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const express_1 = __importDefault(require("express"));
    const path_1 = __importDefault(require("path"));
    const directory_tree_1 = require("./directory-tree");
    const hoge_1 = require("./hoge");
    const app = express_1.default();
    app.use(express_1.default.static(path_1.default.join(__dirname, "../../public")));
    const dir = `${process.cwd()}/${process.argv[2]}`;
    app.get("/api/directory", (req, res) => {
        res.send(directory_tree_1.getDirTree(dir));
    });
    app.get("/api/html", (req, res) => {
        res.send(hoge_1.html(req.query.filePath, req.query.url, req.query.domSelectorName));
    });
    app.get("/", (req, res) => {
        res.sendFile("index.html");
    });
    app.listen(3000, () => {
        console.log(`gigantes-viewer: http://localhost:3000`);
    });
});
